OpenVDB: openvdb::v8_2::points::point_mask_internal Namespace Reference

OpenVDB 8.0.0

Classes | Functions
openvdb::v8_2::points::point_mask_internal Namespace Reference

## Classes
struct | GridCombinerOp
| Combines multiple grids into one by stealing leaf nodes and summing voxel values This class is designed to work with thread local storage containers such as tbb::combinable. More...
struct | PointsToScalarOp
| Compute scalar grid from PointDataGrid while evaluating the point filter. More...
struct | PointsToTransformedScalarOp
| Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter. More...

## Functions
template<typename LeafT >
void | voxelSum (LeafT &leaf, const Index offset, const typename LeafT::ValueType &value)
template<typename T , Index Log2Dim>
void | voxelSum (PointDataLeafNode< T, Log2Dim > &leaf, const Index offset, const typename PointDataLeafNode< T, Log2Dim >::ValueType &value)
template<typename GridT , typename PointDataGridT , typename FilterT >
GridT::Ptr | convertPointsToScalar (const PointDataGridT &points, const FilterT &filter, bool threaded=true)
template<typename GridT , typename PointDataGridT , typename FilterT , typename DeformerT >
GridT::Ptr | convertPointsToScalar (PointDataGridT &points, const openvdb::math::Transform &transform, const FilterT &filter, const DeformerT &deformer, bool threaded=true)

## Function Documentation

## ◆ convertPointsToScalar() [1/2]

GridT::Ptr openvdb::v8_2::points::point_mask_internal::convertPointsToScalar | ( | const PointDataGridT & | points,
|  | const FilterT & | filter,
|  | bool | threaded = `true`
| ) |  |
| inline

## ◆ convertPointsToScalar() [2/2]

GridT::Ptr openvdb::v8_2::points::point_mask_internal::convertPointsToScalar | ( | PointDataGridT & | points,
|  | const openvdb::math::Transform & | transform,
|  | const FilterT & | filter,
|  | const DeformerT & | deformer,
|  | bool | threaded = `true`
| ) |  |
| inline

## ◆ voxelSum() [1/2]

void openvdb::v8_2::points::point_mask_internal::voxelSum | ( | LeafT & | leaf,
|  | const Index | offset,
|  | const typename LeafT::ValueType & | value
| ) |  |

## ◆ voxelSum() [2/2]

void openvdb::v8_2::points::point_mask_internal::voxelSum | ( | PointDataLeafNode< T, Log2Dim > & | leaf,
|  | const Index | offset,
|  | const typename PointDataLeafNode< T, Log2Dim >::ValueType & | value
| ) |  |